// Test du formulaire
function test_form() {
    var a = Form.serializeElements($("test-form").getInputs("file")) ;
    alert(a) ;
}

function ajouter_fichier() {
    // Création du fond gris et du cadre blanc
    fond_gris() ;
    cadre_blanc("50", "80") ;
    var div = $("cadre-blanc") ;
    // Ajout du formulaire
    //<div class="case_ajout_fichier"><p class="z-texte-gras">Fichier 1</p><input type="file" name="fichier_1" /><input type="text" name="nom_fichier_1" placeholder="Nom du fichier, laisser vide pour utiliser le nom par défaut" /></div>
    div.innerHTML = '<a id="croix-fermeture" href="#" onclick="supprimer([\'fond-gris\', \'cadre-blanc\'])">×</a><div class="form"><h2>' + langue["ajouter_un_fichier"] + '</h2><form enctype="multipart/form-data" action="actions/ajout_fichier.php" method="post"><div id="block_cases_ajout_fichiers"><div class="case_ajout_fichier"><p class="z-texte-gras">' + langue["fichier"] + ' 1</p><input type="file" name="fichier_1" /><input type="text" name="nom_fichier_1" placeholder="' + langue["nom_du_fichier_laisser_vide_pour_utiliser_le_nom_par_defaut"] + '" /></div></div><div id="block_footer_ajout_fichier"><a href="#" onclick="ajouter_case_fichier() ;"><img src="images/actions/ajouter.png" /></a><input type="submit" /></div></form></div>' ;
    $("form").style.padding = "5%" ;
}

// Ajout de cases d'ajout de fichier
function ajouter_case_fichier() {
    cases_fichiers = cases_fichiers+1 ;
    var div = $("block_cases_ajout_fichiers") ;
    div.innerHTML = div.innerHTML + '<div class="case_ajout_fichier"><p class="z-texte-gras">' + langue["fichier"] + ' ' + cases_fichiers + '</p><input type="file" name="fichier_' + cases_fichiers + '" /><input type="text" name="nom_fichier_' + cases_fichiers + '" placeholder="' + langue["nom_du_fichier_laisser_vide_pour_utiliser_le_nom_par_defaut"] + '" /></div>' ;
}

// Ajouter d'un dossier
function ajouter_dossier() {
    // Création du fond gris et du cadre blanc
    fond_gris() ;
    cadre_blanc("30", "40") ;
    var div = $("cadre-blanc") ;
    // Ajout du formulaire
    div.innerHTML = '<a id="croix-fermeture" href="#" onclick="supprimer([\'fond-gris\', \'cadre-blanc\'])">×</a><div class="form"><h2>' + langue["ajouter_un_dossier"] + '</h2><form action="actions/ajout_dossier.php" method="post"><p><img src="images/actions/ajouter_dossier.png"></img></p><p><input type="text" name="nom_dossier" placeholder="' + langue["nom_du_dossier"] + '" /><input type="hidden" name="dossier_courant" value="'+$_GET("d")+'" /></p><p><input type="submit"></p></form></div>' ;
}

function deconnexion() {
	
}

// Création du fond gris
function fond_gris() {
    var body = document.getElementsByTagName("body")[0] ;
    body.innerHTML = body.innerHTML+'<div id="fond-gris" onclick="supprimer([\'fond-gris\', \'cadre-blanc\'])"></div>' ;
    var div = $("fond-gris") ;
    div.style.height = "100%" ;
    div.style.width = "100%" ;
    div.style.left = "0px" ;
    div.style.top = "0px" ;
    div.style.position = "fixed" ;
    div.style.background = "rgba(0, 0, 0, 0.5)" ;
}

// Crétion du cadre blanc
function cadre_blanc(x, y) {
    ecran() ;
    // Div d'ajout de fichier
    var body = document.getElementsByTagName("body")[0] ;
    body.innerHTML = body.innerHTML+'<div id="cadre-blanc"></div>' ;
    var div = $("cadre-blanc") ;
    // Styles de la div en responsive design
    if (gx < 480) {
        div.style.height = y+"%" ;
        div.style.width = "100%" ;
        div.style.left = "0%" ;
        div.style.top = "0%" ;
        div.style.top = (100-y)/2+"%" ;
    } else {
        div.style.height = y+"%" ;
        div.style.width = x+"%" ;
        div.style.left = (100-x)/2+"%" ;
        div.style.top = (100-y)/2+"%" ;
    }
    div.style.position = "fixed" ;
    div.style.background = "rgb(255, 255, 255)" ;
    div.style.zIndex = "1000" ;
    div.style.borderRadius = "15px" ;
}

// Suppression d'un élément par son id
function supprimer(tags) {
    for (var tag in tags) {
        $(tags[tag]).remove() ;
    }
}

// Prorpiétés d'un fichier par son id
function proprietes(id) {
	var url_proprietes = "http://" + serveur + "/Lanthane/actions/proprietes_id.php" ;
	var parametres_proprietes = "id=" + id ;
	// Requête AJAX
	var ajax_proprietes = new Ajax.Request(
		url_proprietes,
		{
			method: 'get',
			parameters: parametres_proprietes,
			onComplete: reponse_proprietes
		}
	) ;
}

function reponse_proprietes(requete) {
	var rep = JSON.parse(requete.responseText) ;
	// Création de la fenetre d'affichage
	fond_gris() ;
	cadre_blanc(80, 80) ;
	var div = $("cadre-blanc") ;
	div.innerHTML = '<a id="croix-fermeture" href="#" onclick="supprimer([\'fond-gris\', \'cadre-blanc\'])">×</a><div style="padding : 10% ;"><h2 style="text-align : center ;">'+langue["proprietes"]+'</h2><p>'+langue["nom"]+' : '+rep["nom"]+'</p><p>'+langue["taille"]+' : '+rep["taille"]+'</p><p>'+langue["type_mime"]+' : '+rep["type"]+'</p></div>' ;
}

// Aperçu d'un fichier si possible
function loupe(id, type) {
	// Création de la fenetre d'affichage
	fond_gris() ;
	cadre_blanc(80, 80) ;
	var div = $("cadre-blanc") ;
	// Images
	if (type == "jpg" || type == "png" || type == "gif" || type == "tga" || type == "jpeg" || type == "tiff" || type == "xpm" || type == "bmp") {
		div.innerHTML = '<a id="croix-fermeture" href="#" onclick="supprimer([\'fond-gris\', \'cadre-blanc\'])">×</a><div style="text-align : center ; width : 100% ;"><h2>'+id.split("/")[(id.split("/").length-1)]+'</h2><img src="actions/apercu_fichier.php?fichier='+id+'" height="'+(div.offsetHeight-100)+'" width="'+(div.offsetWidth-40)+'" /></div>' ;
	// Fichiers audio
	} else if (type == "wav" || type == "mp3" || type == "aac" || type == "ogg" || type == "wma" || type == "opus") {
		div.innerHTML = '<a id="croix-fermeture" href="#" onclick="supprimer([\'fond-gris\', \'cadre-blanc\'])">×</a><div style="text-align : center ; width : 100% ;"><h2>'+id.split("/")[(id.split("/").length-1)]+'</h2><audio controls><source src="actions/apercu_fichier.php?fichier='+id+'" /></audio></div>' ;
	// Fichiers vidéo
	} else if (type == "mp4" || type == "ogg" || type == "webmv") {
		div.innerHTML = '<a id="croix-fermeture" href="#" onclick="supprimer([\'fond-gris\', \'cadre-blanc\'])">×</a><div style="text-align : center ; width : 100% ;"><h2>'+id.split("/")[(id.split("/").length-1)]+'</h2><video controls height="'+(div.offsetHeight-100)+'" width="'+(div.offsetWidth-40)+'"><source src="actions/apercu_fichier.php?fichier='+id+'" /></video></div>' ;
	// Fichiers texte
	} else if (type == "txt") {
		div.innerHTML = '<a id="croix-fermeture" href="#" onclick="supprimer([\'fond-gris\', \'cadre-blanc\'])">×</a><div style="text-align : center ; padding : 1% ;"><h2>'+id.split("/")[(id.split("/").length-1)]+'</h2><code style="overflow : auto ;">'+contenu_fichier(id)+'</code></div>' ;
	} else {
	// Fichiers impossible à ouvrir
		div.innerHTML = '<div style="text-align : center"><h2>' + langue["apercu_impossible"] + '</h2></div>' ;
	}
}

function reponse_loupe(requete) {

}

// Supression du fichier
function poubelle(id) {
	if (confirm("Supprimer?")) {
		var url_poubelle = "http://" + serveur + "/Lanthane/actions/supprimer_fichier.php" ;
		if (mode == 1) {
			var parametres_poubelle = "id=" + id ;
		} else {
			var parametres_poubelle = "fichier=" + id ;
		}
		// Requête AJAX
		var ajax_proprietes = new Ajax.Request(
			url_poubelle,
			{
				method: 'get',
				parameters: parametres_poubelle,
				onComplete: reponse_poubelle
			}
		) ;
	}
}

function reponse_poubelle(requete) {
	// Supression de la DIV du fichier
	$("fichier_" + JSON.parse(requete.responseText)).remove() ;
}

// Supression du dossier
function poubelle_d(id) {
	if (confirm("Supprimer?")) {
		var url_poubelle = "http://" + serveur + "/Lanthane/actions/supprimer_dossier.php" ;
		if (mode == 1) {
			var parametres_poubelle = "id=" + id ;
		} else {
			var parametres_poubelle = "dossier=" + id ;
		}
		// Requête AJAX
		var ajax_proprietes = new Ajax.Request(
			url_poubelle,
			{
				method: 'get',
				parameters: parametres_poubelle,
				onComplete: reponse_poubelle_d
			}
		) ;
	}
}

function reponse_poubelle_d(requete) {
	// Supression de la DIV du fichier
	$("dossier_" + JSON.parse(requete.responseText)).remove() ;
}

var rep ;
// Récupère le contenu d'un fichier
function contenu_fichier(id) {
	var url_contenu_fichier = "http://" + serveur + "/Lanthane/actions/contenu_fichier.php" ;
	if (mode == 1) {
		var parametres_contenu_fichier = "id=" + id ;
	} else {
		var parametres_contenu_fichier = "fichier=" + id ;
	}
	// Requête AJAX
	var ajax_proprietes = new Ajax.Request(
		url_contenu_fichier,
		{
			method: 'get',
			parameters: parametres_contenu_fichier,
			onComplete: function(requete) {rep = JSON.parse(requete.responseText) ;}
		}
	) ;
	//alert(rep) ;
	return rep ;
}

function reponse_contenu_fichier(requete) {

}

// Récupère les paramètres URL
function $_GET(param) {
    var vars = {} ;
    window.location.href.replace( location.hash, '' ).replace( 
        /[?&]+([^=&]+)=?([^&]*)?/gi, // regexp
        function( m, key, value ) { // callback
            vars[key] = value !== undefined ? value : '' ;
        }
    ) ;

    if ( param ) {
        return vars[param] ? vars[param] : null ;    
    }
    return vars ;
}
